package com.cim.idm.wmsextend.generic.schedule;

import org.apache.logging.log4j.core.util.OptionConverter;

public class Schedule {
	private String cron;
	private String table;
	private String dataType;

	/*
	* Name : Schedule
	* Desc : This function is Schedule
	* Author : ZXY IDM Team
	* Date : 2011.01.18
	*/
	public Schedule(String cron, String table, String dataType) {
		this.cron = OptionConverter.substVars(cron,null);
		this.cron = this.cron.replaceFirst("[a-zA-Z]+", "");
		this.table = table;
		this.dataType = dataType;
	}
	
	/*
	* Name : Schedule
	* Desc : This function is Schedule
	* Author : ZXY IDM Team
	* Date : 2011.01.18
	*/
	public Schedule() {
	}
	
	/*
	* Name : setCron
	* Desc : This function is setCron
	* Author : ZXY IDM Team
	* Date : 2011.01.18
	*/
	public void setCron(String cron) {
		this.cron =  OptionConverter.substVars(cron,null).replaceFirst("[a-zA-Z]+", "");
	}
	
	/*
	* Name : setTable
	* Desc : This function is setTable
	* Author : ZXY IDM Team
	* Date : 2011.01.18
	*/
	public void setTable(String table) {
		this.table = table;
	}
	
	/*
	* Name : setDataType
	* Desc : This function is setDataType
	* Author : ZXY IDM Team
	* Date : 2011.01.18
	*/
	public void setDataType(String dataType) {
		this.dataType = dataType;
	}
	
	/*
	* Name : getCron
	* Desc : This function is getCron
	* Author : ZXY IDM Team
	* Date : 2011.01.18
	*/
	public String getCron() {
		return cron;
	}
	
	/*
	* Name : getTable
	* Desc : This function is getTable
	* Author : ZXY IDM Team
	* Date : 2011.01.18
	*/
	public String getTable() {
		return table;
	}
	
	/*
	* Name : getDataType
	* Desc : This function is getDataType
	* Author : ZXY IDM Team
	* Date : 2011.01.18
	*/
	public String getDataType() {
		return dataType;
	}
}
